# setup-nginx-webserver

A bash script and accompanying configuration files for setting up a Nginx webserver on Debian / Ubuntu based systems.  The following services are installed as part of this script:

- Nginx
- PHP
- MariaDB
- Redis

The configuration files accompanying the setup script are modified to my own preferred defaults - such as but not limited to:

- Number of Nginx Workers 1024
- Set the max body size 8GB
- Set the PHP RAM limit 256MB
- Optional config files to configure real IP if behind a reverse proxy

I've included example files in the /etc/nginx/sites-available directory that are "better" than the standard default that comes with Nginx.

## Compatibility

This script is tested and known to work with both Debian 12 and Ubuntu 22.04.

## Usage

```
git clone https://gitea.techaddressed.com/robert/setup-nginx-webserver.git
cd setup-nginx-webserver
./setup-nginx-webserver.sh
```

As part of the script execution, you'll need to step through the mysql_secure_installation process.

If you need more detailed directions, refer to [this tutorial](https://www.techaddressed.com/tutorials/setup-complete-nginx-webserver/) for additional info.

## License

[MIT](https://choosealicense.com/licenses/mit/)
